import bitutilities as bu
import timeit


if __name__ == '__main__':
    reg: bu.BasicRegister = bu.BasicRegister(bu.get_memory("memory"))

    print()
    print("Register 1:")
    print(reg)

    print()
    reg2: bu.BasicRegister = bu.BasicRegister(bu.get_memory("more memory"))

    print()
    print("Register 2:")
    print(reg2)

    reg, reg2 = bu.align_registers(reg, reg2)

    print()
    sum_reg, carry = bu.binary_sum(reg, reg2, True)

    print()
    print("Sum & carry:")
    print(sum_reg, carry)

    print()
    subtr_reg: bu.BasicRegister = bu.binary_subtraction_1_complement(reg, reg2)
    print("Subtraction:")
    print(subtr_reg)
